### Hierarchy

- unknown
  - XmrTx

## Index

### Constructors

- constructor

### Methods

- addIncomingTransfers
- clearIncomingTransfersList
- clearOutgoingTransfer
- getFee
- getHash
- getHeight
- getIncomingTransfersList
- getIsConfirmed
- getIsLocked
- getMetadata
- getOutgoingTransfer
- getTimestamp
- hasOutgoingTransfer
- serializeBinary
- setFee
- setHash
- setHeight
- setIncomingTransfersList
- setIsConfirmed
- setIsLocked
- setMetadata
- setOutgoingTransfer
- setTimestamp
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new XmrTx(): XmrTx

- Inherited from jspb.Message.constructor

  #### Returns XmrTx

## Methods

### addIncomingTransfers

- addIncomingTransfers(value?: XmrIncomingTransfer, index?: number): XmrIncomingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3117

  #### Parameters

  - ##### Optional value: XmrIncomingTransfer

  - ##### Optional index: number

  #### Returns XmrIncomingTransfer

### clearIncomingTransfersList

- clearIncomingTransfersList(): XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3116

  #### Returns XmrTx

### clearOutgoingTransfer

- clearOutgoingTransfer(): XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3122

  #### Returns XmrTx

### getFee

- getFee(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3099

  #### Returns string

### getHash

- getHash(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3096

  #### Returns string

### getHeight

- getHeight(): number

- - Defined in src/protobuf/grpc_pb.d.ts:3108

  #### Returns number

### getIncomingTransfersList

- getIncomingTransfersList(): XmrIncomingTransfer []

- - Defined in src/protobuf/grpc_pb.d.ts:3114

  #### Returns XmrIncomingTransfer []

### getIsConfirmed

- getIsConfirmed(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:3102

  #### Returns boolean

### getIsLocked

- getIsLocked(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:3105

  #### Returns boolean

### getMetadata

- getMetadata(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3124

  #### Returns string

### getOutgoingTransfer

- getOutgoingTransfer(): undefined | XmrOutgoingTransfer

- - Defined in src/protobuf/grpc_pb.d.ts:3119

  #### Returns undefined | XmrOutgoingTransfer

### getTimestamp

- getTimestamp(): number

- - Defined in src/protobuf/grpc_pb.d.ts:3111

  #### Returns number

### hasOutgoingTransfer

- hasOutgoingTransfer(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:3121

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3127

  #### Returns Uint8Array

### setFee

- setFee(value: string): XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3100

  #### Parameters

  - ##### value: string

  #### Returns XmrTx

### setHash

- setHash(value: string): XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3097

  #### Parameters

  - ##### value: string

  #### Returns XmrTx

### setHeight

- setHeight(value: number): XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3109

  #### Parameters

  - ##### value: number

  #### Returns XmrTx

### setIncomingTransfersList

- setIncomingTransfersList(value: XmrIncomingTransfer []): XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3115

  #### Parameters

  - ##### value: XmrIncomingTransfer []

  #### Returns XmrTx

### setIsConfirmed

- setIsConfirmed(value: boolean): XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3103

  #### Parameters

  - ##### value: boolean

  #### Returns XmrTx

### setIsLocked

- setIsLocked(value: boolean): XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3106

  #### Parameters

  - ##### value: boolean

  #### Returns XmrTx

### setMetadata

- setMetadata(value: string): XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3125

  #### Parameters

  - ##### value: string

  #### Returns XmrTx

### setOutgoingTransfer

- setOutgoingTransfer(value?: XmrOutgoingTransfer ): XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3120

  #### Parameters

  - ##### Optional value: XmrOutgoingTransfer

  #### Returns XmrTx

### setTimestamp

- setTimestamp(value: number): XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3112

  #### Parameters

  - ##### value: number

  #### Returns XmrTx

### toObject

- toObject(includeInstance?: boolean): XmrTx . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3128

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns XmrTx . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3131

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrTx

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrTx, reader: BinaryReader): XmrTx

- - Defined in src/protobuf/grpc_pb.d.ts:3132

  #### Parameters

  - ##### message: XmrTx

  - ##### reader: BinaryReader

  #### Returns XmrTx

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrTx, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3130

  #### Parameters

  - ##### message: XmrTx

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: XmrTx ): XmrTx . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3129

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrTx

  #### Returns XmrTx . AsObject

Generated using TypeDoc